
nuris.ali@TES-IT02 MINGW64 ~
$ git --version
git version 2.19.1.windows.1

nuris.ali@TES-IT02 MINGW64 ~
$ git clone https://gitlab.com/punya.syamil/nodejs1.git
Cloning into 'nodejs1'...
fatal: unable to access 'https://gitlab.com/punya.syamil/nodejs1.git/': Failed to connect to gitlab.com port 443: Connection refused

nuris.ali@TES-IT02 MINGW64 ~
$ git config --global user.name "Syamil Al kahf"

nuris.ali@TES-IT02 MINGW64 ~
$ git config --global user.email "punya.syamil@gmail.com"

nuris.ali@TES-IT02 MINGW64 ~
$ git clone https://gitlab.com/punya.syamil/nodejs1.git
Cloning into 'nodejs1'...
fatal: unable to access 'https://gitlab.com/punya.syamil/nodejs1.git/': Failed to connect to gitlab.com port 443: Connection refused

nuris.ali@TES-IT02 MINGW64 ~
$ ping 8.8.8.8
bash: ping: command not found

nuris.ali@TES-IT02 MINGW64 ~
$ git -c "http.proxy=10.11.11.4:808" clone https://gitlab.com/punya.syamil/nodejs1.git
Cloning into 'nodejs1'...
warning: You appear to have cloned an empty repository.

nuris.ali@TES-IT02 MINGW64 ~
$ cd nodejs1

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ touch README.md

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ git add README.md

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ git commit -m "add README"
[master (root-commit) 06e3952] add README
 1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 README.md

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ git push - u origin master
error: src refspec u does not match any.
error: src refspec origin does not match any.
error: failed to push some refs to '-'

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ git push -u origin master
fatal: unable to access 'https://gitlab.com/punya.syamil/nodejs1.git/': Failed to connect to gitlab.com port 443: Connection refused

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ git -c "http.proxy=10.11.11.4:808" push -u origin master
Username for 'https://gitlab.com': punya.syamil@gmail.com
remote: HTTP Basic: Access denied
fatal: Authentication failed for 'https://gitlab.com/punya.syamil/nodejs1.git/'

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ git -c "http.proxy=10.11.11.4:808" gitlab-rails console production
git: 'gitlab-rails' is not a git command. See 'git --help'.

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$ gitlab-rails console production
bash: gitlab-rails: command not found

nuris.ali@TES-IT02 MINGW64 ~/nodejs1 (master)
$
